Android Question Error debug SQLCHIPER

svitol

Member
I have a B4A app where i using sqlchiper version 1.50 and try to run into emulator api28 but have this error:

adb: failed to install SecureAccountManager_RAPID_DEBUG.apk: Failure [INSTALL_FAILED_NO_MATCHING_ABIS: Failed to extract native libraries, res=-113]

I want to use new library of sqlchiper , but have two problem:
1) i found the new version of sqlchiper but i don't found the .aar library that the ide request in debug
2) i see that the new library not read the database created with old library

How i can solve this two problems?
Thank you
 

Erel

Administrator
Staff member
Licensed User
1. Don't waste too much time with the emulator. Nothing good will come out of this.
2. This error means that the library includes a native binary and there is no x86 binary.
found the new version of sqlchiper but i don't found the .aar library that the ide request in debug
Carefully read the tutorial: https://www.b4x.com/android/forum/t...ryption-with-sqlcipher-library.14965/#content

i see that the new library not read the database created with old library
That's true. It should be possible to convert the database. See the tutorial and the links blog post.
 

svitol

Member
I don't understand how i can convert my old version of sqlchiper db into new version of sqlchiper db (1.5 to 1.6)
Now my version into app is 1.5, and i want to read with old library this version, create new database with 1.6 version and copy into it.
How i can import those two libraries (have the same name in import)
You can explain me how to work ?
Thank you
 

svitol

Member
I follow this post....without positive result...
i have this error :
net.sqlcipher.database.SQLiteException: file is not a database: , while compiling: select count(*) from sqlite_master;
 
Top